aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rwxr-xr-xtest/test_suite.sh14
2 files changed, 16 insertions, 0 deletions
diff --git a/Makefile b/Makefile
index 3287654..824a371 100644
--- a/Makefile
+++ b/Makefile
@@ -102,6 +102,8 @@ else
endif
endif
+.PHONY: all
+
OUTPUT = $(BIN_DIR)/gemma
# Detailed libary paths, D for dynamic and S for static
diff --git a/test/test_suite.sh b/test/test_suite.sh
index dc6053a..0d56e31 100755
--- a/test/test_suite.sh
+++ b/test/test_suite.sh
@@ -2,6 +2,20 @@
gemma=../bin/gemma
+testBslmm() {
+ outn=mouse_hs1940_CD8_bslmm
+ $gemma -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -n 2 -a ../example/mouse_hs1940.anno.txt \
+ -bslmm -debug \
+ -o $outn -w 1000 -s 10000 -seed 1
+ assertEquals 0 $?
+ outfn1=output/$outn.hyp.txt
+ outfn2=output/$outn.param.txt
+ assertEquals "45181.93" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn1`
+ assertEquals "4043967139.42" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn2`
+}
+
testCenteredRelatednessMatrixKFullLOCO1() {
outn=mouse_hs1940_full_LOCO1
$gemma -g ../example/mouse_hs1940.geno.txt.gz \